package elm

import (
	"testing"

	_ "git.rosy.net.cn/jx-callback/business/jxcallback/orderman"
	"git.rosy.net.cn/jx-callback/globals/testinit"
)

func init() {
	testinit.Init()
}

func TestGetOrder(t *testing.T) {
	orderID := "3025427524410871880"
	order, err := new(PurchaseHandler).GetOrder("", orderID)
	if err != nil {
		t.Fatal(err.Error())
	}
	if order.VendorOrderID != orderID {
		t.Fatal(err.Error())
	}
}
